## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-jaraco-context
Version:        6.0.1
Release:        %autorelease
Summary:        Context managers by jaraco

License:        MIT
URL:            https://github.com/jaraco/jaraco.context
Source0:        %{pypi_source jaraco_context}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  tomcli

%global _description %{expand:
Context managers by jaraco.}

%description %_description

%package     -n python3-jaracro-context
Summary:        %{summary}

%description -n python3-jaracro-context %_description

%prep
%autosetup -n jaraco_context-%{version}
# Remove dev-only dependencies. Upstream later split the `test` dependencies out of it
# https://github.com/jaraco/skeleton/issues/138
tomcli set pyproject.toml lists delitem "project.optional-dependencies.test" "pytest-.*"

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jaraco

%check
# context.repo_context: Requires internet connection: https://github.com/jaraco/jaraco.context/issues/14
%pytest -k "not context.repo_context"

%files -n python3-jaracro-context -f %{pyproject_files}
%license LICENSE
%doc README.rst NEWS.rst

%changelog
## START: Generated by rpmautospec
* Tue Sep 17 2024 Cristian Le <cristian.le@mpsd.mpg.de> - 6.0.1-2
- Remove old workarounds and re-enable tests

* Tue Aug 20 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 6.0.1-1
- Update to version 6.0.1 (fedora#2306046)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 22 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 5.3.0-1
- Update to version 5.3.0 (fedora#2273523)

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 4.3.0-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 07 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 4.3.0-1
- Initial import (fedora#2232628)
## END: Generated by rpmautospec
